GAGETI(3NCARG)

NAME
GAGETI - Retrieves the integer value of an internal parameter of Gridall.

SYNOPSIS
CALL GAGETI (PNAM,IVAL)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_gageti (char *pnam, int *ival)

DESCRIPTION

PNAM
    (an input constant or variable of type CHARACTER) is a string three or more characters in length, the first three characters of which constitute the name of the internal parameter whose value is to be retrieved.

IVAL
    (an output variable of type INTEGER) is the name of a variable into which the value of the internal parameter specified by PNAM is to be retrieved. If the internal parameter is of type REAL and has the value "r", "INT(r)" will be returned in IVAL.

C-BINDING DESCRIPTION
The C-binding argument descriptions are the same as the FORTRAN argument descriptions.

USAGE
This routine allows you to retrieve the current value of Gridall parameters. For a complete list of parameters available in this utility, see the gridall_params man page.

ACCESS
To use GAGETI or c_gageti, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

MESSAGES
See the gridall man page for a description of all Gridall error messages and/or informational messages.

SEE ALSO
Online: gridall, gridall_params, gacolr, gagetc, gagetr, gasetc, gaseti, gasetr, grid, gridal, gridl, halfax, labmod, perim, periml, tick4, ticks, ncarg_cbind.

Hardcopy: NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.